image: registry.gitlab.com/fcpartners/libs/golang-build-container:latest

variables:
  DOCKER_HOST: tcp://docker:2375/
  DOCKER_TLS_CERTDIR: ""
  DOCKER_DRIVER: overlay2
  SERVICE_NAME: utils
  CONTAINER_IMAGE_TAG: $PROJECT_NAME/$SERVICE_NAME:$CI_COMMIT_TAG
  CONTAINER_IMAGE_LATEST: $PROJECT_NAME/$SERVICE_NAME:latest
  CONTAINER_IMAGE_DEV: $PROJECT_NAME/$SERVICE_NAME:dev
  GIT_DEPTH: "1"
  CGO_ENABLED: 0
  GOOS: linux
  GOARCH: amd64
  # Directory and file names that begin with "." or "_" are ignored by the go tool, as are directories named "testdata".
  GOMODCACHE: $CI_PROJECT_DIR/_cache_mod
  GOCACHE: $CI_PROJECT_DIR/_cache_build
  GONOPROXY: gitlab.com
  GONOSUMDB: gitlab.com
  GOPRIVATE: gitlab.com

services:
  - docker:19.03.12-dind


stages:
  - test

.before_script_template: &before_script_template
  before_script:
    - go env
    - go mod tidy
    - go mod download
    - docker version

test and lint:
  <<: *before_script_template
  stage: test
  script:
    - make test

